Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatMembersFilter

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatMembersFilter

Direct Known Subclasses:
  `TdApi.ChatMembersFilterAdministrators`, `TdApi.ChatMembersFilterBanned`, `TdApi.ChatMembersFilterBots`, `TdApi.ChatMembersFilterContacts`, `TdApi.ChatMembersFilterMembers`, `TdApi.ChatMembersFilterMention`, `TdApi.ChatMembersFilterRestricted`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.ChatMembersFilter extends TdApi.Object permits TdApi.ChatMembersFilterContacts, TdApi.ChatMembersFilterAdministrators, TdApi.ChatMembersFilterMembers, TdApi.ChatMembersFilterMention, TdApi.ChatMembersFilterRestricted, TdApi.ChatMembersFilterBanned, TdApi.ChatMembersFilterBots
This class is an abstract base class. Specifies the kind of chat members to return in searchChatMembers.

## Constructor Summary

Constructors
Constructor
Description
`ChatMembersFilter()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChatMembersFilter

public ChatMembersFilter()
Default class constructor.